# DataExchange
TKXCAFSchema
PXCAFDoc

# PXCAFDoc_SeqNodeOfGraphNodeSequence Class Reference

`#include <PXCAFDoc_SeqNodeOfGraphNodeSequence.hxx>`

## Public Member Functions

Standard_EXPORT | PXCAFDoc_SeqNodeOfGraphNodeSequence (const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&TheLast, const Handle(PXCAFDoc_GraphNode)&TheItem)
Standard_EXPORT | PXCAFDoc_SeqNodeOfGraphNodeSequence (const Handle(PXCAFDoc_GraphNode)&TheItem, const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&TheFirst)
Standard_EXPORT | PXCAFDoc_SeqNodeOfGraphNodeSequence (const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&ThePrevious, const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&TheNext, const Handle(PXCAFDoc_GraphNode)&TheItem)
Standard_EXPORT Handle_PXCAFDoc_GraphNode | Value () const
Standard_EXPORT Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence | Next () const
Standard_EXPORT Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence | Previous () const
Standard_EXPORT void | SetValue (const Handle(PXCAFDoc_GraphNode)&AnItem)
Standard_EXPORT void | SetNext (const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&ANode)
| PXCAFDoc_SeqNodeOfGraphNodeSequence ()
| PXCAFDoc_SeqNodeOfGraphNodeSequence (const Storage_stCONSTclCOM &a)
| Handle (PXCAFDoc_SeqNodeOfGraphNodeSequence) _CSFDB_GetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyPrevious() const
void | _CSFDB_SetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyPrevious (const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&p)
| Handle (PXCAFDoc_GraphNode) _CSFDB_GetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyItem() const
void | _CSFDB_SetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyItem (const Handle(PXCAFDoc_GraphNode)&p)
| Handle (PXCAFDoc_SeqNodeOfGraphNodeSequence) _CSFDB_GetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyNext() const
void | _CSFDB_SetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyNext (const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence | MyPrevious
Handle_PXCAFDoc_GraphNode | MyItem
Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT PXCAFDoc_SeqNodeOfGraphNodeSequence::PXCAFDoc_SeqNodeOfGraphNodeSequence | ( | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | TheLast,
|  | const Handle(PXCAFDoc_GraphNode)& | TheItem
| ) |

Standard_EXPORT PXCAFDoc_SeqNodeOfGraphNodeSequence::PXCAFDoc_SeqNodeOfGraphNodeSequence | ( | const Handle(PXCAFDoc_GraphNode)& | TheItem,
|  | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | TheFirst
| ) |

Standard_EXPORT PXCAFDoc_SeqNodeOfGraphNodeSequence::PXCAFDoc_SeqNodeOfGraphNodeSequence | ( | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | ThePrevious,
|  | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | TheNext,
|  | const Handle(PXCAFDoc_GraphNode)& | TheItem
| ) |

PXCAFDoc_SeqNodeOfGraphNodeSequence::PXCAFDoc_SeqNodeOfGraphNodeSequence | ( |  | ) | `[inline]`

PXCAFDoc_SeqNodeOfGraphNodeSequence::PXCAFDoc_SeqNodeOfGraphNodeSequence | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PXCAFDoc_SeqNodeOfGraphNodeSequence::_CSFDB_SetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyItem | ( | const Handle(PXCAFDoc_GraphNode)& | p | ) | `[inline]`

void PXCAFDoc_SeqNodeOfGraphNodeSequence::_CSFDB_SetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyNext | ( | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | p | ) | `[inline]`

void PXCAFDoc_SeqNodeOfGraphNodeSequence::_CSFDB_SetPXCAFDoc_SeqNodeOfGraphNodeSequenceMyPrevious | ( | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | p | ) | `[inline]`

Standard_EXPORT const PXCAFDoc_SeqNodeOfGraphNodeSequence::Handle | ( | Standard_Type |  | ) | const

PXCAFDoc_SeqNodeOfGraphNodeSequence::Handle | ( | PXCAFDoc_SeqNodeOfGraphNodeSequence |  | ) | const`[inline]`

PXCAFDoc_SeqNodeOfGraphNodeSequence::Handle | ( | PXCAFDoc_GraphNode |  | ) | const`[inline]`

PXCAFDoc_SeqNodeOfGraphNodeSequence::Handle | ( | PXCAFDoc_SeqNodeOfGraphNodeSequence |  | ) | const`[inline]`

Standard_EXPORT Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence PXCAFDoc_SeqNodeOfGraphNodeSequence::Next | ( |  | ) | const

Standard_EXPORT Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence PXCAFDoc_SeqNodeOfGraphNodeSequence::Previous | ( |  | ) | const

Standard_EXPORT void PXCAFDoc_SeqNodeOfGraphNodeSequence::SetNext | ( | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | ANode | ) |

Standard_EXPORT void PXCAFDoc_SeqNodeOfGraphNodeSequence::SetPrevious | ( | const Handle(PXCAFDoc_SeqNodeOfGraphNodeSequence)& | ANode | ) |

Standard_EXPORT void PXCAFDoc_SeqNodeOfGraphNodeSequence::SetValue | ( | const Handle(PXCAFDoc_GraphNode)& | AnItem | ) |

Standard_EXPORT Handle_PXCAFDoc_GraphNode PXCAFDoc_SeqNodeOfGraphNodeSequence::Value | ( |  | ) | const

## Field Documentation

Handle_PXCAFDoc_GraphNode PXCAFDoc_SeqNodeOfGraphNodeSequence::MyItem `[private]`

Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence PXCAFDoc_SeqNodeOfGraphNodeSequence::MyNext `[private]`

Handle_PXCAFDoc_SeqNodeOfGraphNodeSequence PXCAFDoc_SeqNodeOfGraphNodeSequence::MyPrevious `[private]`

The documentation for this class was generated from the following file:

- PXCAFDoc_SeqNodeOfGraphNodeSequence.hxx